Bug 155324 - tg3 driver does not work with recent kernels
tg3 driver does not work with recent kernels
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-04-19 04:09 EDT by James Ralston
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-03 11:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -v -v -v output (using kernel 2.6.11-1.1177_FC4) (1.01 KB, text/plain)
2005-04-19 04:09 EDT, James Ralston
no flags Details
1275_FC4 kernel panic (11.10 KB, text/plain)
2005-04-28 13:46 EDT, Bruce A. Locke
no flags Details
dmesg from a successful boot using the jwltest19 kernel (12.94 KB, text/plain)
2005-04-28 13:59 EDT, Bruce A. Locke
no flags Details
lspci and lspci -v -v -v from jwltest19 (11.72 KB, text/plain)
2005-04-28 14:00 EDT, Bruce A. Locke
no flags Details

  None (edit)
Description James Ralston 2005-04-19 04:09:33 EDT
I have a Dell Latitude D600 laptop with an on-board Broadcom BCM5702X Ethernet

Under all test kernels later than 2.6.11-1.1177_FC4, attempting to ifup the
interface results in no traffic, and this error message is logged whenver I
interrupt the ifup command:

Apr 14 00:46:58 farslayer kernel: tg3: tg3_stop_block timed out, ofs=4800

Kernel 2.6.11-1.1177_FC4 works properly.

Under FC3, all 2.6.10 kernels worked properly.  (I reinstalled the FC4 test
release before the last 2.6.11 kernel update, so I have not tested it.)
Comment 1 James Ralston 2005-04-19 04:09:33 EDT
Created attachment 113355 [details]
lspci -v -v -v output (using kernel 2.6.11-1.1177_FC4)
Comment 2 John W. Linville 2005-04-27 14:19:02 EDT
Please try the test kernels here: 
I think it should work (well enough) on an FC4 runtime.  The tg3 driver there 
is very similar to what is current in FC4.  I'd be curious to know if it works 
any differently. 
Please give it a try and let me know the results.  Thanks! 
Comment 3 Bruce A. Locke 2005-04-28 11:57:37 EDT
I also have a Dell Latitude D600 and had been experiencing the same issue as
reported by James Ralston.

The tg3 driver seems to work fine with the "jwltest" kernels while not working
with the 1268_FC4 and 1240_FC4 kernels that I have tried.  It should be noted
that the newly released 1275_FC4 causes a system hang now when X comes up...
Comment 4 Bruce A. Locke 2005-04-28 13:46:57 EDT
Created attachment 113800 [details]
1275_FC4 kernel panic

Kernel panic while loading kernel modules as part of booting process on a Dell
Latitude D600 running the 1275_FC4 kernel.
Comment 5 Bruce A. Locke 2005-04-28 13:59:19 EDT
Created attachment 113803 [details]
dmesg from a successful boot using the jwltest19 kernel
Comment 6 Bruce A. Locke 2005-04-28 14:00:12 EDT
Created attachment 113804 [details]
lspci and lspci -v -v -v from jwltest19
Comment 7 James Ralston 2005-04-29 16:55:43 EDT
I haven't tried the kernels mentioned in comment #2 yet, but I did find another
development kernel that works.  Specifically:

2.6.11-1.1253_FC4 works.

However, no kernel I've pulled since then (including 2.6.11-1.1275_FC4) works.

I'll try the kernels mentioned in comment #2 next.
Comment 8 James Ralston 2005-04-29 23:55:31 EDT
Ok, the tg3 driver in 2.6.9-6.39.EL.jwltest.19 works.
Comment 9 John W. Linville 2005-05-02 08:52:19 EDT
So, it would appear that something is broken between the 3.25-based driver in 
jwltest.19 and the driver that is in the later rawhide kernels...well, that 
gives me a place to start looking...thanks! 
Comment 10 James Ralston 2005-05-02 16:54:24 EDT
Don't forget that 2.6.11-1.1253_FC4 also works, even though kernels preceding it
(except for 2.6.11-1.1177_FC4) and following it don't.
Comment 11 James Ralston 2005-05-03 22:45:31 EDT
I just pulled 2.6.11-1.1282_FC4, and it works correctly.
Comment 12 John W. Linville 2005-05-06 08:43:50 EDT
Now I have some FC3 test kernels for you.  (I'm not currently building 
FC4 test kernels, but I guess I need to start soon...)  Please look 
These include the same driver as the later FC4 kernels, with a few 
changes backed-out.  I'm trying to narrow down the source of the 
problem, so please bear with me.  This may take a few revolutions... :-) 
Please give those a try and post the results here.  Thanks! 
Comment 13 James Ralston 2005-05-08 16:10:36 EDT
These kernels both work:

Comment 14 John W. Linville 2005-05-10 13:47:06 EDT
Basically all of the FC4 kernels mentioned (both "working" and "non-working") 
have identical or nearly identical tg3 drivers.  I'm inclined to think that 
the difference between working and non-working is as much luck as anything. 
Discussion w/ the tg3 maintainers indicates that the "tg3_stop_block timed 
out" messages are not always actually indicative of a problem.  In fact, there 
are recent patches proposed to quiet those messages in certain circumstances.  
I wonder if you aren't seeing just those circumstances. 
I've applied the patches in question to my new FC4 test kernels.  Wanna try 
them?  Here is the link: 
Please let me know if you still see the messages and/or if you experience 
actual network (i.e. connectivity) problems. 
Comment 15 James Ralston 2005-05-16 15:11:57 EDT
I just reinstalled with FC4t3.  The kernel it includes (2.6.11-1.1286_FC4) does
*not* work, even though 2.6.11-1.1286_FC4 *did* work when I was running FC4t2.

I am perfectly willing to accept that this problem depends on something other
than the specific code in the tg3 driver itself.  But the problem does seem to
be following specific kernels.

I will try both your latest test kernels and the latest development kernels, and
report back.
Comment 16 John W. Linville 2005-05-19 16:28:42 EDT
Putting in NEEDINFO pending further test results... 
Comment 17 James Ralston 2005-05-22 16:43:15 EDT
2.6.11-1.1305_FC4 works.
2.6.11-1.1315_FC4 doesn't work.
2.6.11-1.1318.2.2_FC4.jwltest.2 doesn't work.
2.6.11-1.1323_FC4 doesn't work.
2.6.11-1.1329_FC4 doesn't work.

It would seem as if something changed between 1305 and 1315...
Comment 18 Dave Jones 2005-05-23 16:16:21 EDT
The CVS log shows no changes to tg3 between 1305 and 1315

revision 1.1315
enable xen again
revision 1.1314
fix Xen compile
revision 1.1313
missing exports.
revision 1.1312
doh, missed off the pci id
revision 1.1311
e1k update.
revision 1.1310
add new PCI ID to Intel E1000 driver.
revision 1.1309
Slab debug single-bit error improvement.
revision 1.1308
SCSI CAM geometry fix.
revision 1.1307
Tickle the NMI watchdog when we're doing serial writes.
revision 1.1306
Bump maximum supported CPUs on x86-64 to 32.
(Also fix dwmw2's time-bending antics)
revision 1.1305
Update audit patches
Comment 19 James Ralston 2005-05-25 15:32:17 EDT
Well, as I said in comment #15, I'm perfectly willing to believe that the
problem depends on something other than the actual tg3 code.  But I'm not what
it could be.

I'm no slouch when it comes to patching and building RPMs, so I'd be willing to
explore different avenues.  But right now, I don't know where to take this.

The only other person who (so far) has reported experiencing the same problems
also has a Dell Latitude D600.  Perhaps there's something flaky with this
particular adapter with this particular laptop?
Comment 20 James Ralston 2005-05-30 17:04:39 EDT
2.6.11-1.1363_FC4 works.
Comment 21 John W. Linville 2005-06-13 11:30:31 EDT
Hmmm...there has been no mention of using "acpi=off" on the kernel command 
line.  Does that have any effect on the functionality of the adapter? 
Comment 22 Dave Jones 2005-06-27 19:15:31 EDT
Mass update for bugs reported against -test:
Updating version field to FC4 final. Please retest with final FC4 release if you
have not already done so. Thanks.
Comment 23 John W. Linville 2005-08-03 11:38:52 EDT
Closed due to inactivity.  Please reopen when requested information becomes 
available.  Thanks! 
Comment 24 James Ralston 2005-08-19 16:41:05 EDT
Despite my best efforts, I've been unable to reproduce this problem with any of
the FC4 kernels that have been released.

I hate it when things mysteriously stop and start working, but until/unless this
bug resurfaces, there's nothing further I can add.

(I've left this bug as CLOSED, but changed the resolution to WORKSFORME, which I
think is slightly more accurate.)

Note You need to log in before you can comment on or make changes to this bug.